this.name           = "Blackjacks"
this.author         = "Rustybolts"
this.copyright      = "Do with as you wish"
this.description    = "Starts in Galaxy 2 at Telace.";
this.version        = "1.2.9"
	
this.missionOffers = function()
	{
		if (guiScreen != "GUI_SCREEN_MISSION" && player.ship.dockedStation.isMainStation && galaxyNumber==1 && !missionVariables.bolts && system.ID==241){
			mission.runScreen({messageKey:'revengebolts_briefing', background:'blackjacks_pod.png'});
			mission.setInstructionsKey ('bolts1');
			missionVariables.bolts='STAGE1';
		}
		if (guiScreen != "GUI_SCREEN_MISSION" && galaxyNumber==1 && player.ship.dockedStation.isMainStation && missionVariables.bolts == 'STAGE2'){
			mission.runScreen({messageKey:'revengebolts_firearms', background:'blackjacks_firearms.png'});
			mission.setInstructionsKey ("bolts2");
			missionVariables.bolts='STAGE3';		
		}
		if (guiScreen != "GUI_SCREEN_MISSION" && galaxyNumber==1 && player.ship.dockedStation.isMainStation && missionVariables.bolts == 'STAGE3' && system.ID==233){
			mission.runScreen({messageKey:'revengebolts_robbery'});
			player.ship.manifest.firearms += 1;
			missionVariables.bolts='STAGE4';
			mission.setInstructionsKey ('bolts3');
		}
		if (guiScreen != "GUI_SCREEN_MISSION" && galaxyNumber==1 && player.ship.dockedStation.isMainStation && missionVariables.bolts == 'STAGE4' && system.ID==127){
			mission.runScreen({messageKey:'revengebolts_flee', background:'blackjacks_vipers.png'});
			player.ship.bounty = 64;
			missionVariables.bolts='STAGE5';
			mission.setInstructionsKey ('bolts4');
		}
		if (missionVariables.bolts=='STAGE5'){
			player.ship.bounty = 64;
		}
		if (missionVariables.bolts=='STAGE6'){
			player.ship.bounty = 64;
		}
		if (guiScreen != "GUI_SCREEN_MISSION" && galaxyNumber==1 && player.ship.dockedStation.isMainStation && missionVariables.bolts == 'STAGE6' && system.ID==67){
			mission.runScreen({messageKey:'revengebolts_finish', background:'blackjacks_end.png'});
			player.credits+=9500;
			missionVariables.bolts='STAGE99';
			player.ship.bounty = 0;
			mission.setInstructionsKey  (null);
		}
	}

this.missionScreenOpportunity = function()
	{
	if(!player.ship.docked || galaxyNumber != 1) return;
	this.missionOffers();
	}

this.shipExitedWitchspace = function()
	{
	if (system.ID==99 && galaxyNumber==1 && missionVariables.bolts=='STAGE5'){
		system.legacy_addSystemShips("witness", 1, 0.10);
		}
	if (system.ID==88 && galaxyNumber==1 && missionVariables.bolts=='STAGE1'){
		system.legacy_addSystemShips("bolts", 1, 0.10);
		}
	}

